Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1600482

Summary: [abrt] kmem_cache_alloc: general protection fault in kmem_cache_alloc
Product: [Fedora] Fedora Reporter: Brian J. Murrell <brian>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 28CC: airlied, brian, bskeggs, edgar.hoch, ewk, hdegoede, ichavero, itamar, jarodwilson, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, martinrsssf, mchangir, mchehab, mjg59, redhat, rik.theys, steved, timosha, wd
Target Milestone: ---Flags: labbott: needinfo? (brian)
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/061a9bdabc1d3804e569025fa2017bc1a8042d52
Whiteboard: abrt_hash:a3f89b358e5baf903703a533f1a5f6cab9f79b41;
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-26 20:59:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: dmesg none

Description Brian J. Murrell 2018-07-12 11:22:35 UTC
Description of problem:
Not sure what caused this

Additional info:
reporter:       libreport-2.9.5
general protection fault: 0000 [#1] SMP PTI
Modules linked in: sctp netlink_diag nfsv3 nfnetlink_queue nfnetlink_log nfnetlink cfg80211 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache rfcomm fuse hidp xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_conntrack tun devlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bridge stp llc bnep it87 hwmon_vid btrfs xor zstd_compress raid6_pq libcrc32c zstd_decompress xxhash intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm gpio_ich iTCO_wdt iTCO_vendor_support ppdev irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf btusb btrtl btbcm btintel bluetooth snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel
 snd_hda_codec ecdh_generic rfkill snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer i2c_i801 lpc_ich mei_me mei shpchp snd soundcore parport_pc parport nfsd binfmt_misc nfs_acl lockd auth_rpcgss grace sunrpc i915 crc32c_intel i2c_algo_bit drm_kms_helper serio_raw drm r8169 sata_via mii video
CPU: 0 PID: 2690 Comm: nfsd Not tainted 4.17.2-200.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. H81M-S2PV/H81M-S2PV, BIOS F8 06/19/2014
RIP: 0010:prefetch_freepointer+0x10/0x20
RSP: 0018:ffffa33fca4ebc58 EFLAGS: 00010202
RAX: 0000000000000000 RBX: 49f929d076783c7f RCX: 0000000000000f2a
RDX: 0000000000000f29 RSI: 49f929d076783c7f RDI: ffff8da88c9ffe00
RBP: ffff8da88c9ffe00 R08: ffff8da89ee2b100 R09: 0000000000000004
R10: 0000000000000000 R11: 000000000000002c R12: 00000000014080c0
R13: ffffffffc07e0ac1 R14: ffff8da4bc958ae1 R15: ffff8da88c9ffe00
FS:  0000000000000000(0000) GS:ffff8da89ee00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00002001a1783000 CR3: 000000012920a001 CR4: 00000000000606f0
Call Trace:
 kmem_cache_alloc+0xb4/0x1d0
 ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
 nfs4_alloc_stid+0x21/0xa0 [nfsd]
 nfsd4_process_open2+0x1048/0x1360 [nfsd]
 ? nfsd_permission+0x63/0xe0 [nfsd]
 ? fh_verify+0x17a/0x5b0 [nfsd]
 ? nfsd4_process_open1+0x139/0x420 [nfsd]
 nfsd4_open+0x2b1/0x6b0 [nfsd]
 nfsd4_proc_compound+0x33e/0x640 [nfsd]
 ? nfsd4_read_rsize+0x20/0x20 [nfsd]
 nfsd_dispatch+0x9e/0x210 [nfsd]
 svc_process_common+0x46e/0x6c0 [sunrpc]
 ? nfsd_destroy+0x50/0x50 [nfsd]
 svc_process+0xb7/0xf0 [sunrpc]
 nfsd+0xe3/0x140 [nfsd]
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 91 89 d3 e8 33 c2 67 00 85 c0 0f 85 a1 77 00 00 48 83 c4 08 5b 5d 41 5c 41 5d c3 0f 1f 44 00 00 48 85 f6 74 13 8b 47 20 48 01 c6 <48> 33 36 48 33 b7 38 01 00 00 0f 18 0e c3 66 90 0f 1f 44 00 00 
RIP: prefetch_freepointer+0x10/0x20 RSP: ffffa33fca4ebc58

Comment 1 Brian J. Murrell 2018-07-12 11:22:50 UTC
Created attachment 1458348 [details]
File: dmesg

Comment 2 Wolfgang Denk 2018-07-19 09:50:28 UTC
I see the same here, repeatedly; I think the phenomenon started with installation of the 4.17.5 kernel (4.17.5-100.fc27.x86_64, installed on 2018-07-14T10:36:53); upgrading to 4.17.6-100.fc27.x86_64 didn't help; the older 4.17.3-100.fc27.x86_64 appears to be OK.

What we see looks typically like this:

Jul 19 08:29:42 xpert kernel: general protection fault: 0000 [#1] SMP PTI
Jul 19 08:29:42 xpert kernel: Modules linked in: fuse rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache cfg80211 rfkill w83795 w83627ehf hwmon_vid raid456 async_raid6_recov async_memcpy async_pq async_xor iTCO_wdt async_tx iTCO_vendor_support mxm_wmi gpio_ich xor ppdev raid6_pq intel_powerclamp libcrc32c coretemp kvm_intel snd_hda_codec_realtek kvm irqbypass snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel intel_cstate intel_uncore snd_hda_codec snd_hda_core snd_hwdep snd_seq lpc_ich parport_pc parport snd_seq_device i2c_i801 snd_pcm wmi i7core_edac snd_timer snd ioatdma soundcore dca shpchp i5500_temp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc raid1 raid10 radeon i2c_algo_bit drm_kms_helper ttm firewire_ohci uas drm firewire_core serio_raw crc32c_intel mpt3sas e1000e usb_storage crc_itu_t
Jul 19 08:29:42 xpert kernel: sym53c8xx raid_class scsi_transport_sas scsi_transport_spi
Jul 19 08:29:42 xpert kernel: CPU: 5 PID: 1622 Comm: nfsd Tainted: G          I       4.17.6-100.fc27.x86_64 #1
Jul 19 08:29:42 xpert kernel: Hardware name: Supermicro X8SAX/X8SAX, BIOS 2.0        09/17/10
Jul 19 08:29:42 xpert kernel: RIP: 0010:prefetch_freepointer+0x10/0x20
Jul 19 08:29:42 xpert kernel: RSP: 0018:ffff96db83f37c48 EFLAGS: 00010282
Jul 19 08:29:42 xpert kernel: RAX: 0000000000000000 RBX: 9a912df5e1f2cf70 RCX: 00000000000005a1
Jul 19 08:29:42 xpert kernel: RDX: 00000000000005a0 RSI: 9a912df5e1f2cf70 RDI: ffff88599f3cba80
Jul 19 08:29:42 xpert kernel: RBP: ffff88599f3cba80 R08: ffffb6db7fb44ff0 R09: ffff8854bace65a0
Jul 19 08:29:42 xpert kernel: R10: ffff96db83f37cb0 R11: 0000000000000000 R12: 00000000014080c0
Jul 19 08:29:42 xpert kernel: R13: ffffffffc06e2a21 R14: ffff8855012af4d9 R15: ffff88599f3cba80
Jul 19 08:29:42 xpert kernel: FS:  0000000000000000(0000) GS:ffff8859a7340000(0000) knlGS:0000000000000000
Jul 19 08:29:42 xpert kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jul 19 08:29:42 xpert kernel: CR2: 00003f4061049010 CR3: 00000005f820a000 CR4: 00000000000006e0
Jul 19 08:29:42 xpert kernel: Call Trace:
Jul 19 08:29:42 xpert kernel: kmem_cache_alloc+0xb4/0x1c0
Jul 19 08:29:42 xpert kernel: ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
Jul 19 08:29:42 xpert kernel: nfs4_alloc_stid+0x21/0xa0 [nfsd]
Jul 19 08:29:42 xpert kernel: nfsd4_process_open2+0xb84/0x14c0 [nfsd]
Jul 19 08:29:42 xpert kernel: ? nfsd_permission+0x5a/0xf0 [nfsd]
Jul 19 08:29:42 xpert kernel: ? fh_verify+0x44b/0x600 [nfsd]
Jul 19 08:29:42 xpert kernel: ? nfsd4_open+0x2dd/0x700 [nfsd]
Jul 19 08:29:42 xpert kernel: nfsd4_open+0x2dd/0x700 [nfsd]
Jul 19 08:29:42 xpert kernel: nfsd4_proc_compound+0x4f9/0x6e0 [nfsd]
Jul 19 08:29:42 xpert kernel: nfsd_dispatch+0xf5/0x230 [nfsd]
Jul 19 08:29:42 xpert kernel: svc_process_common+0x4c3/0x720 [sunrpc]
Jul 19 08:29:42 xpert kernel: ? nfsd_destroy+0x60/0x60 [nfsd]
Jul 19 08:29:42 xpert kernel: svc_process+0xd7/0xf0 [sunrpc]
Jul 19 08:29:42 xpert kernel: nfsd+0xe3/0x150 [nfsd]
Jul 19 08:29:42 xpert kernel: kthread+0x113/0x130
Jul 19 08:29:42 xpert kernel: ? kthread_create_worker_on_cpu+0x70/0x70
Jul 19 08:29:42 xpert kernel: ret_from_fork+0x35/0x40
Jul 19 08:29:42 xpert kernel: Code: 75 58 48 c7 c7 28 23 0d 8d e8 9b 7c ea ff eb 90 90 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 48 85 f6 74 13 8b 47 20 48 01 c6 <48> 33 36 48 33 b7 38 01 00 00 0f 18 0e f3 c3 90 66 66 66 66 90
Jul 19 08:29:42 xpert kernel: RIP: prefetch_freepointer+0x10/0x20 RSP: ffff96db83f37c48
Jul 19 08:29:42 xpert kernel: ---[ end trace c2b7056e33a056ac ]---


or

# [ 2181.701228] general protection fault: 0000 [#1] SMP PTI
[ 2181.706550] Modules linked in: rpcsec_gss_krb5 cfg80211 rfkill w83795 w83627ehf hwmon_vid raid456 intel_powerclamp async_raid6_recov async_memcpy async_pq async_xor async_tx coretemp gpio_ich snd_hda_codec_realtek xor kvm_intel iTCO_wdt iTCO_vendor_support ppdev snd_hda_codec_hdmi mxm_wmi kvm snd_hda_codec_generic snd_hda_intel raid6_pq libcrc32c snd_hda_codec irqbypass i2c_i801 intel_cstate snd_hda_core intel_uncore lpc_ich snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd parport_pc parport soundcore ioatdma shpchp i7core_edac i5500_temp dca wmi acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc raid10 raid1 radeon i2c_algo_bit drm_kms_helper ttm firewire_ohci firewire_core drm crc32c_intel mpt3sas uas crc_itu_t serio_raw e1000e sym53c8xx usb_storage raid_class scsi_transport_sas
[ 2181.778653]  scsi_transport_spi
[ 2181.781862] CPU: 6 PID: 1615 Comm: nfsd Tainted: G          I       4.17.6-100.fc27.x86_64 #1
[ 2181.790497] Hardware name: Supermicro X8SAX/X8SAX, BIOS 2.0        09/17/10  
[ 2181.797690] RIP: 0010:prefetch_freepointer+0x10/0x20
[ 2181.802711] RSP: 0018:ffffb7fa04347c48 EFLAGS: 00010202
[ 2181.808024] RAX: 0000000000000000 RBX: 5fe7b5fd2437dbbf RCX: 0000000000000861
[ 2181.815233] RDX: 0000000000000860 RSI: 5fe7b5fd2437dbbf RDI: ffff9a7163185080
[ 2181.822470] RBP: ffff9a7163185080 R08: ffffd7f9ffb84f40 R09: ffff9a7160f38d80
[ 2181.829682] R10: ffffb7fa04347cb0 R11: 0000000000000000 R12: 00000000014080c0
[ 2181.836901] R13: ffffffffc06eea21 R14: ffff9a71606e7791 R15: ffff9a7163185080
[ 2181.844077] FS:  0000000000000000(0000) GS:ffff9a7167380000(0000) knlGS:0000000000000000
[ 2181.852298] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 2181.858147] CR2: 00007fb458c61010 CR3: 00000001ba20a000 CR4: 00000000000006e0
[ 2181.865336] Call Trace:
[ 2181.867851]  kmem_cache_alloc+0xb4/0x1c0
[ 2181.871821]  ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
[ 2181.876811]  nfs4_alloc_stid+0x21/0xa0 [nfsd]
[ 2181.881211]  nfsd4_process_open2+0xb84/0x14c0 [nfsd]
[ 2181.886292]  ? nfsd_permission+0x5a/0xf0 [nfsd]
[ 2181.890854]  ? fh_verify+0x44b/0x600 [nfsd]
[ 2181.895076]  ? nfsd4_open+0x2dd/0x700 [nfsd]
[ 2181.899461]  nfsd4_open+0x2dd/0x700 [nfsd]
[ 2181.903595]  nfsd4_proc_compound+0x4f9/0x6e0 [nfsd]
[ 2181.908587]  nfsd_dispatch+0xf5/0x230 [nfsd]
[ 2181.912915]  svc_process_common+0x4c3/0x720 [sunrpc]
[ 2181.917977]  ? nfsd_destroy+0x60/0x60 [nfsd]
[ 2181.922292]  svc_process+0xd7/0xf0 [sunrpc]
[ 2181.926552]  nfsd+0xe3/0x150 [nfsd]
[ 2181.930122]  kthread+0x113/0x130
[ 2181.933408]  ? kthread_create_worker_on_cpu+0x70/0x70
[ 2181.938545]  ret_from_fork+0x35/0x40
[ 2181.942153] Code: 75 58 48 c7 c7 28 23 0d 83 e8 9b 7c ea ff eb 90 90 66 2e 0f 1f 84 00 00 00 00 00 66 66 66 66 90 48 85 f6 74 13 8b 47 20 48 01 c6 <48> 33 36 48 33 b7 38 01 00 00 0f 18 0e f3 c3 90 66 66 66 66 90 
[ 2181.961267] RIP: prefetch_freepointer+0x10/0x20 RSP: ffffb7fa04347c48
[ 2181.967862] ---[ end trace 8dd872150d5536a7 ]---

In all cases we have seen, there was heavy NFS activity running, and the stack trace included a number of nfs4 functions.

Also in all cases NFS was basically dead then, and the only fix was to reboot.

This is happening several times per day, so can someone with edit capabilities please set Priority and Severity accordingly?  Thanks!

Comment 3 Martin 2018-07-21 16:34:48 UTC
This looks like a duplicate of bug 1597559, but with better title since my search found this first.

The issue occurs in Fedora 27 with kernel 4.17.6. It looks like 4.17.7 didn't quite solve it, from comments in the other bug ticket.

Comment 4 Milind Changire 2018-07-25 09:23:16 UTC
Description of problem:
problem occured when compiling RHGS sources in CentOS 7.0 VM

Version-Release number of selected component:
kernel-core-4.17.3-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.3-200.fc28.x86_64 root=/dev/mapper/luks-3b7dc18f-0c0e-4622-ae76-dbc8d9b3876e ro rd.lvm.lv=systemvg/00 rd.lvm.lv=systemvg/01 rd.luks.uuid=luks-18916e96-4ae8-4bc8-8132-f58d9c04ea72 rd.luks.uuid=luks-3b7dc18f-0c0e-4622-ae76-dbc8d9b3876e rhgb quiet LANG=en_US.UTF-8
crash_function: kmem_cache_alloc
kernel:         4.17.3-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
general protection fault: 0000 [#1] SMP PTI
Modules linked in: rpcsec_gss_krb5 vhost_net vhost tap fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep binfmt_misc rmi_smbus rmi_core arc4 intel_rapl iwlmvm x86_pkg_temp_thermal mei_wdt intel_powerclamp coretemp iTCO_wdt gpio_ich iTCO_vendor_support kvm_intel mac80211 wmi_bmof kvm uvcvideo btusb snd_hda_codec_realtek
 videobuf2_vmalloc iwlwifi btrtl videobuf2_memops snd_hda_codec_hdmi snd_hda_codec_generic videobuf2_v4l2 btbcm irqbypass videobuf2_common intel_cstate snd_hda_intel btintel intel_uncore cfg80211 snd_hda_codec videodev bluetooth intel_rapl_perf snd_hda_core media snd_hwdep snd_seq snd_seq_device rtsx_pci_ms snd_pcm memstick mei_me joydev ecdh_generic mei i2c_i801 lpc_ich thinkpad_acpi shpchp snd_timer snd ie31200_edac soundcore wmi rfkill nfsd auth_rpcgss nfs_acl lockd grace sunrpc dm_crypt i915 rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel drm e1000e ghash_clmulni_intel serio_raw rtsx_pci video
CPU: 6 PID: 3403 Comm: nfsd Not tainted 4.17.3-200.fc28.x86_64 #1
Hardware name: LENOVO 20AWS2A101/20AWS2A101, BIOS GLET77WW (2.31 ) 01/27/2015
RIP: 0010:prefetch_freepointer+0x10/0x20
RSP: 0018:ffffb54002b33c58 EFLAGS: 00010202
RAX: 0000000000000000 RBX: 13850632ce0a540e RCX: 0000000000009807
RDX: 0000000000009806 RSI: 13850632ce0a540e RDI: ffff9fe2ec205500
RBP: ffff9fe2ec205500 R08: ffff9fe2fe3ab2c0 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000025 R12: 00000000014080c0
R13: ffffffffc05fcac1 R14: ffff9fdf604283af R15: ffff9fe2ec205500
FS:  0000000000000000(0000) GS:ffff9fe2fe380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f54a98ba0e4 CR3: 000000021a20a005 CR4: 00000000001626e0
Call Trace:
 kmem_cache_alloc+0xb4/0x1d0
 ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
 nfs4_alloc_stid+0x21/0xa0 [nfsd]
 nfsd4_process_open2+0x1048/0x1360 [nfsd]
 ? nfsd_permission+0x63/0xe0 [nfsd]
 ? fh_verify+0x17a/0x5b0 [nfsd]
 ? nfsd4_process_open1+0x139/0x420 [nfsd]
 nfsd4_open+0x2b1/0x6b0 [nfsd]
 nfsd4_proc_compound+0x33e/0x640 [nfsd]
 nfsd_dispatch+0x9e/0x210 [nfsd]
 svc_process_common+0x46e/0x6c0 [sunrpc]
 ? nfsd_destroy+0x50/0x50 [nfsd]
 svc_process+0xb7/0xf0 [sunrpc]
 nfsd+0xe3/0x140 [nfsd]
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: b0 89 d3 e8 33 c3 67 00 85 c0 0f 85 a1 77 00 00 48 83 c4 08 5b 5d 41 5c 41 5d c3 0f 1f 44 00 00 48 85 f6 74 13 8b 47 20 48 01 c6 <48> 33 36 48 33 b7 38 01 00 00 0f 18 0e c3 66 90 0f 1f 44 00 00 
RIP: prefetch_freepointer+0x10/0x20 RSP: ffffb54002b33c58

Comment 5 Edgar Hoch 2018-07-25 23:28:16 UTC
I have tried kernel-4.17.9-200.fc28.x86_64, I still get these crashes.


[  376.490287] show_signal_msg: 3 callbacks suppressed
[  376.490293] xdg-desktop-por[3705]: segfault at 8 ip 000055fce007ef52 sp 00007ffd41afbd20 error 4 in xdg-desktop-portal[55fce0068000+8d000]
[ 2659.523622] perf: interrupt took too long (2501 > 2500), lowering kernel.perf_event_max_sample_rate to 79000
[ 3692.421248] perf: interrupt took too long (3142 > 3126), lowering kernel.perf_event_max_sample_rate to 63000
[ 4107.986863] xdg-desktop-por[138688]: segfault at 8 ip 000056307c9c0f52 sp 00007fff14e736e0 error 4 in xdg-desktop-portal[56307c9aa000+8d000]
[ 4907.902726] perf: interrupt took too long (3929 > 3927), lowering kernel.perf_event_max_sample_rate to 50000
[ 7311.018433] perf: interrupt took too long (4919 > 4911), lowering kernel.perf_event_max_sample_rate to 40000
[ 7385.648230] general protection fault: 0000 [#1] SMP PTI
[ 7385.648259] Modules linked in: fuse rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_set xt_multiport nf_nat_tftp nf_conntrack_tftp xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set_hash_ip devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables mpt3sas raid_class mptctl mptbase toshiba_acpi sparse_keymap industrialio rfkill video toshiba_haps hp_accel lis3lv02d input_polldev intel_rapl sb_edac x86_pkg_temp_thermal intel_powerclamp coretemp
[ 7385.648439]  kvm_intel joydev kvm ses enclosure scsi_transport_sas irqbypass intel_cstate ipmi_ssif iTCO_wdt intel_uncore iTCO_vendor_support intel_rapl_perf ipmi_si ipmi_devintf shpchp mei_me mei ioatdma i2c_i801 lpc_ich ipmi_msghandler nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace snd_pcm_oss snd_mixer_oss vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) scsi_transport_iscsi 8021q garp mrp stp llc mgag200 i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ixgbe ghash_clmulni_intel megaraid_sas dca wmi mdio dm_multipath scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc snd_pcm snd_timer snd soundcore ecryptfs
[ 7385.648613] CPU: 38 PID: 2593 Comm: nfsd Tainted: G           OE     4.17.9-200.fc28.x86_64 #1
[ 7385.648634] Hardware name: Supermicro X9DRH-7TF/7F/iTF/iF/X9DRH-7TF/7F/iTF/iF, BIOS 3.0a 12/27/2013
[ 7385.648660] RIP: 0010:prefetch_freepointer+0x10/0x20
[ 7385.648674] RSP: 0018:ffffb3662061fc58 EFLAGS: 00010286
[ 7385.648689] RAX: 0000000000000000 RBX: b38fc53864a833e2 RCX: 000000000000003f
[ 7385.648706] RDX: 000000000000003e RSI: b38fc53864a833e2 RDI: ffff9cec6e47c000
[ 7385.648724] RBP: ffff9cec6e47c000 R08: ffffd365ffc98140 R09: 0000000000000004
[ 7385.648743] R10: 0000000000000000 R11: 0000000000000036 R12: 00000000014080c0
[ 7385.648760] R13: ffffffffc0737ac1 R14: ffff9ccc5c1cd791 R15: ffff9cec6e47c000
[ 7385.648778] FS:  0000000000000000(0000) GS:ffff9cec7f480000(0000) knlGS:0000000000000000
[ 7385.648798] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 7385.648813] CR2: 00005587182d0ba8 CR3: 000000117820a001 CR4: 00000000001606e0
[ 7385.648831] Call Trace:
[ 7385.648845]  kmem_cache_alloc+0xb4/0x1d0
[ 7385.648871]  ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
[ 7385.648890]  nfs4_alloc_stid+0x21/0xa0 [nfsd]
[ 7385.648909]  nfsd4_process_open2+0x1048/0x1360 [nfsd]
[ 7385.648929]  ? nfsd_permission+0x63/0xe0 [nfsd]
[ 7385.648946]  ? fh_verify+0x17a/0x5b0 [nfsd]
[ 7385.648963]  ? nfsd4_process_open1+0x139/0x420 [nfsd]
[ 7385.648982]  nfsd4_open+0x2b1/0x6b0 [nfsd]
[ 7385.649000]  nfsd4_proc_compound+0x33e/0x640 [nfsd]
[ 7385.649018]  ? nfsd4_read_rsize+0x20/0x20 [nfsd]
[ 7385.649036]  nfsd_dispatch+0x9e/0x210 [nfsd]
[ 7385.649063]  svc_process_common+0x46e/0x6c0 [sunrpc]
[ 7385.649082]  ? nfsd_destroy+0x50/0x50 [nfsd]
[ 7385.649103]  svc_process+0xb7/0xf0 [sunrpc]
[ 7385.649129]  nfsd+0xe3/0x140 [nfsd]
[ 7385.649143]  kthread+0x112/0x130
[ 7385.649155]  ? kthread_create_worker_on_cpu+0x70/0x70
[ 7385.649778]  ret_from_fork+0x35/0x40
[ 7385.650386] Code: b9 89 d3 e8 f3 c1 67 00 85 c0 0f 85 c1 77 00 00 48 83 c4 08 5b 5d 41 5c 41 5d c3 0f 1f 44 00 00 48 85 f6 74 13 8b 47 20 48 01 c6 <48> 33 36 48 33 b7 38 01 00 00 0f 18 0e c3 66 90 0f 1f 44 00 00 
[ 7385.651672] RIP: prefetch_freepointer+0x10/0x20 RSP: ffffb3662061fc58
[ 7385.652372] ---[ end trace 0757d615d2738ab6 ]---
[ 8184.062132] general protection fault: 0000 [#2] SMP PTI
[ 8184.062872] Modules linked in: fuse rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_set xt_multiport nf_nat_tftp nf_conntrack_tftp xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set_hash_ip devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables mpt3sas raid_class mptctl mptbase toshiba_acpi sparse_keymap industrialio rfkill video toshiba_haps hp_accel lis3lv02d input_polldev intel_rapl sb_edac x86_pkg_temp_thermal intel_powerclamp coretemp
[ 8184.067340]  kvm_intel joydev kvm ses enclosure scsi_transport_sas irqbypass intel_cstate ipmi_ssif iTCO_wdt intel_uncore iTCO_vendor_support intel_rapl_perf ipmi_si ipmi_devintf shpchp mei_me mei ioatdma i2c_i801 lpc_ich ipmi_msghandler nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace snd_pcm_oss snd_mixer_oss vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) scsi_transport_iscsi 8021q garp mrp stp llc mgag200 i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ixgbe ghash_clmulni_intel megaraid_sas dca wmi mdio dm_multipath scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc snd_pcm snd_timer snd soundcore ecryptfs
[ 8184.071186] CPU: 38 PID: 2592 Comm: nfsd Tainted: G      D    OE     4.17.9-200.fc28.x86_64 #1
[ 8184.071832] Hardware name: Supermicro X9DRH-7TF/7F/iTF/iF/X9DRH-7TF/7F/iTF/iF, BIOS 3.0a 12/27/2013
[ 8184.072493] RIP: 0010:kmem_cache_alloc+0x82/0x1d0
[ 8184.073144] RSP: 0018:ffffb36620617c60 EFLAGS: 00010286
[ 8184.073798] RAX: 0000000000000000 RBX: b38fc53864a833e2 RCX: ffff9cec4711dff0
[ 8184.074456] RDX: 000000000000003f RSI: 00000000014080c0 RDI: 0000367980818140
[ 8184.075114] RBP: ffff9cec6e47c000 R08: ffffd365ffc98140 R09: 0000000000000004
[ 8184.075771] R10: 0000000000000000 R11: 0000000000000037 R12: 00000000014080c0
[ 8184.076423] R13: ffffffffc0737ac1 R14: b38fc53864a833e2 R15: ffff9cec6e47c000
[ 8184.077076] FS:  0000000000000000(0000) GS:ffff9cec7f480000(0000) knlGS:0000000000000000
[ 8184.077732] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 8184.078384] CR2: 00007ffcc77c9458 CR3: 000000117820a002 CR4: 00000000001606e0
[ 8184.079045] Call Trace:
[ 8184.079718]  ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
[ 8184.080387]  nfs4_alloc_stid+0x21/0xa0 [nfsd]
[ 8184.081057]  nfsd4_process_open2+0x1048/0x1360 [nfsd]
[ 8184.081727]  ? nfsd_permission+0x63/0xe0 [nfsd]
[ 8184.082395]  ? fh_verify+0x17a/0x5b0 [nfsd]
[ 8184.083063]  ? nfsd4_process_open1+0x139/0x420 [nfsd]
[ 8184.083733]  nfsd4_open+0x2b1/0x6b0 [nfsd]
[ 8184.084402]  nfsd4_proc_compound+0x33e/0x640 [nfsd]
[ 8184.085072]  ? nfsd4_read_rsize+0x20/0x20 [nfsd]
[ 8184.085741]  nfsd_dispatch+0x9e/0x210 [nfsd]
[ 8184.086424]  svc_process_common+0x46e/0x6c0 [sunrpc]
[ 8184.087095]  ? nfsd_destroy+0x50/0x50 [nfsd]
[ 8184.087768]  svc_process+0xb7/0xf0 [sunrpc]
[ 8184.088438]  nfsd+0xe3/0x140 [nfsd]
[ 8184.089106]  kthread+0x112/0x130
[ 8184.089768]  ? kthread_create_worker_on_cpu+0x70/0x70
[ 8184.090436]  ret_from_fork+0x35/0x40
[ 8184.091087] Code: 50 08 65 4c 03 05 47 61 da 47 49 83 78 10 00 4d 8b 30 0f 84 1b 01 00 00 4d 85 f6 0f 84 12 01 00 00 41 8b 5f 20 49 8b 3f 4c 01 f3 <48> 33 1b 49 33 9f 38 01 00 00 40 f6 c7 0f 0f 85 33 01 00 00 48 
[ 8184.092434] RIP: kmem_cache_alloc+0x82/0x1d0 RSP: ffffb36620617c60
[ 8184.093111] ---[ end trace 0757d615d2738ab7 ]---
[ 9250.937635] general protection fault: 0000 [#3] SMP PTI
[ 9250.938376] Modules linked in: fuse rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_set xt_multiport nf_nat_tftp nf_conntrack_tftp xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set_hash_ip devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables mpt3sas raid_class mptctl mptbase toshiba_acpi sparse_keymap industrialio rfkill video toshiba_haps hp_accel lis3lv02d input_polldev intel_rapl sb_edac x86_pkg_temp_thermal intel_powerclamp coretemp
[ 9250.943028]  kvm_intel joydev kvm ses enclosure scsi_transport_sas irqbypass intel_cstate ipmi_ssif iTCO_wdt intel_uncore iTCO_vendor_support intel_rapl_perf ipmi_si ipmi_devintf shpchp mei_me mei ioatdma i2c_i801 lpc_ich ipmi_msghandler nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace snd_pcm_oss snd_mixer_oss vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) scsi_transport_iscsi 8021q garp mrp stp llc mgag200 i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ixgbe ghash_clmulni_intel megaraid_sas dca wmi mdio dm_multipath scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc snd_pcm snd_timer snd soundcore ecryptfs
[ 9250.947018] CPU: 38 PID: 2591 Comm: nfsd Tainted: G      D    OE     4.17.9-200.fc28.x86_64 #1
[ 9250.947683] Hardware name: Supermicro X9DRH-7TF/7F/iTF/iF/X9DRH-7TF/7F/iTF/iF, BIOS 3.0a 12/27/2013
[ 9250.948354] RIP: 0010:kmem_cache_alloc+0x82/0x1d0
[ 9250.949019] RSP: 0018:ffffb3662060fc60 EFLAGS: 00010286
[ 9250.949682] RAX: 0000000000000000 RBX: b38fc53864a833e2 RCX: ffff9cec4711ec50
[ 9250.950351] RDX: 000000000000003f RSI: 00000000014080c0 RDI: 0000367980818140
[ 9250.951018] RBP: ffff9cec6e47c000 R08: ffffd365ffc98140 R09: 0000000000000004
[ 9250.951686] R10: 0000000000000000 R11: 0000000000000037 R12: 00000000014080c0
[ 9250.952353] R13: ffffffffc0737ac1 R14: b38fc53864a833e2 R15: ffff9cec6e47c000
[ 9250.953017] FS:  0000000000000000(0000) GS:ffff9cec7f480000(0000) knlGS:0000000000000000
[ 9250.953684] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 9250.954347] CR2: 00005619a6f72f24 CR3: 000000117820a005 CR4: 00000000001606e0
[ 9250.955012] Call Trace:
[ 9250.955690]  ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
[ 9250.956363]  nfs4_alloc_stid+0x21/0xa0 [nfsd]
[ 9250.957035]  nfsd4_process_open2+0x1048/0x1360 [nfsd]
[ 9250.957707]  ? nfsd_permission+0x63/0xe0 [nfsd]
[ 9250.958379]  ? fh_verify+0x17a/0x5b0 [nfsd]
[ 9250.959050]  ? nfsd4_process_open1+0x139/0x420 [nfsd]
[ 9250.959721]  nfsd4_open+0x2b1/0x6b0 [nfsd]
[ 9250.960393]  nfsd4_proc_compound+0x33e/0x640 [nfsd]
[ 9250.961064]  ? nfsd4_read_rsize+0x20/0x20 [nfsd]
[ 9250.961736]  nfsd_dispatch+0x9e/0x210 [nfsd]
[ 9250.962422]  svc_process_common+0x46e/0x6c0 [sunrpc]
[ 9250.963094]  ? nfsd_destroy+0x50/0x50 [nfsd]
[ 9250.963769]  svc_process+0xb7/0xf0 [sunrpc]
[ 9250.964440]  nfsd+0xe3/0x140 [nfsd]
[ 9250.965110]  kthread+0x112/0x130
[ 9250.965775]  ? kthread_create_worker_on_cpu+0x70/0x70
[ 9250.966444]  ret_from_fork+0x35/0x40
[ 9250.967097] Code: 50 08 65 4c 03 05 47 61 da 47 49 83 78 10 00 4d 8b 30 0f 84 1b 01 00 00 4d 85 f6 0f 84 12 01 00 00 41 8b 5f 20 49 8b 3f 4c 01 f3 <48> 33 1b 49 33 9f 38 01 00 00 40 f6 c7 0f 0f 85 33 01 00 00 48 
[ 9250.968446] RIP: kmem_cache_alloc+0x82/0x1d0 RSP: ffffb3662060fc60
[ 9250.969129] ---[ end trace 0757d615d2738ab8 ]---
[20742.261706] general protection fault: 0000 [#4] SMP PTI
[20742.262457] Modules linked in: fuse rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun xt_set xt_multiport nf_nat_tftp nf_conntrack_tftp xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set_hash_ip devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables mpt3sas raid_class mptctl mptbase toshiba_acpi sparse_keymap industrialio rfkill video toshiba_haps hp_accel lis3lv02d input_polldev intel_rapl sb_edac x86_pkg_temp_thermal intel_powerclamp coretemp
[20742.267191]  kvm_intel joydev kvm ses enclosure scsi_transport_sas irqbypass intel_cstate ipmi_ssif iTCO_wdt intel_uncore iTCO_vendor_support intel_rapl_perf ipmi_si ipmi_devintf shpchp mei_me mei ioatdma i2c_i801 lpc_ich ipmi_msghandler nfsd auth_rpcgss nfs_acl lockd binfmt_misc grace snd_pcm_oss snd_mixer_oss vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) scsi_transport_iscsi 8021q garp mrp stp llc mgag200 i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ixgbe ghash_clmulni_intel megaraid_sas dca wmi mdio dm_multipath scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc snd_pcm snd_timer snd soundcore ecryptfs
[20742.271273] CPU: 38 PID: 2589 Comm: nfsd Tainted: G      D    OE     4.17.9-200.fc28.x86_64 #1
[20742.271951] Hardware name: Supermicro X9DRH-7TF/7F/iTF/iF/X9DRH-7TF/7F/iTF/iF, BIOS 3.0a 12/27/2013
[20742.272652] RIP: 0010:kmem_cache_alloc+0x82/0x1d0
[20742.273339] RSP: 0018:ffffb366205ffc60 EFLAGS: 00010286
[20742.274002] RAX: 0000000000000000 RBX: b38fc53864a833e2 RCX: ffff9cec4711e590
[20742.274691] RDX: 000000000000003f RSI: 00000000014080c0 RDI: 0000367980818140
[20742.275391] RBP: ffff9cec6e47c000 R08: ffffd365ffc98140 R09: 0000000000000004
[20742.276076] R10: 0000000000000000 R11: 000000000000003b R12: 00000000014080c0
[20742.276743] R13: ffffffffc0737ac1 R14: b38fc53864a833e2 R15: ffff9cec6e47c000
[20742.277422] FS:  0000000000000000(0000) GS:ffff9cec7f480000(0000) knlGS:0000000000000000
[20742.278101] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[20742.278768] CR2: 000055807009df24 CR3: 000000117820a002 CR4: 00000000001606e0
[20742.279440] Call Trace:
[20742.280148]  ? nfsd4_free_file_rcu+0x20/0x20 [nfsd]
[20742.280821]  nfs4_alloc_stid+0x21/0xa0 [nfsd]
[20742.281525]  nfsd4_process_open2+0x1048/0x1360 [nfsd]
[20742.282214]  ? nfsd_permission+0x63/0xe0 [nfsd]
[20742.282897]  ? fh_verify+0x17a/0x5b0 [nfsd]
[20742.283578]  ? nfsd4_process_open1+0x139/0x420 [nfsd]
[20742.284255]  nfsd4_open+0x2b1/0x6b0 [nfsd]
[20742.284945]  nfsd4_proc_compound+0x33e/0x640 [nfsd]
[20742.285654]  ? nfsd4_read_rsize+0x20/0x20 [nfsd]
[20742.286328]  nfsd_dispatch+0x9e/0x210 [nfsd]
[20742.287015]  svc_process_common+0x46e/0x6c0 [sunrpc]
[20742.287704]  ? nfsd_destroy+0x50/0x50 [nfsd]
[20742.288397]  svc_process+0xb7/0xf0 [sunrpc]
[20742.289068]  nfsd+0xe3/0x140 [nfsd]
[20742.289752]  kthread+0x112/0x130
[20742.290450]  ? kthread_create_worker_on_cpu+0x70/0x70
[20742.291126]  ret_from_fork+0x35/0x40
[20742.291790] Code: 50 08 65 4c 03 05 47 61 da 47 49 83 78 10 00 4d 8b 30 0f 84 1b 01 00 00 4d 85 f6 0f 84 12 01 00 00 41 8b 5f 20 49 8b 3f 4c 01 f3 <48> 33 1b 49 33 9f 38 01 00 00 40 f6 c7 0f 0f 85 33 01 00 00 48 
[20742.293181] RIP: kmem_cache_alloc+0x82/0x1d0 RSP: ffffb366205ffc60
[20742.293857] ---[ end trace 0757d615d2738ab9 ]---
[23043.944300] perf: interrupt took too long (6150 > 6148), lowering kernel.perf_event_max_sample_rate to 32000
[26966.871525] gconfd-2[719971]: segfault at 0 ip 00007f2666f7f49f sp 00007ffd4b215510 error 4 in libglib-2.0.so.0.5600.1[7f2666f16000+115000]

Comment 6 Laura Abbott 2018-10-01 21:25:21 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 7 Laura Abbott 2018-11-26 20:59:53 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and let us know if the bug is still present on the latest kernel.

(Please note: sometimes bugs get mistakenly closed during our mass closing. If you think your bug was closed in error please reopen)